org.apache.tapestry5.webresources.modules

## Class WebResourcesModule

- java.lang.Object
- - org.apache.tapestry5.webresources.modules.WebResourcesModule

-     public class WebResourcesModule
      extends java.lang.Object

  Configures use of various transformers and mimimizers to support:
  - Less to CSS
  - CoffeeScript to JavaScript
  - CSS minimization via YUI Compressor
  - JavaScript minimization via Google Closure
  Since:
    5.4

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WebResourcesModule()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `bind(ServiceBinder binder)`
    `static void` | `provideCompilers(MappedConfiguration<java.lang.String,ResourceTransformer> configuration, ResourceTransformerFactory factory, CoffeeScriptCompiler coffeeScriptCompiler)`
    `static void` | `provideLessCompilerProblemRenderer(MappedConfiguration<java.lang.Class,ObjectRenderer> configuration)` Alas `AntlrException`s do not have a useful toString() which makes them useless in the exception report; here we provide an `ObjectRenderer` that breaks them apart into useful strings.
    `static void` | `setupDefaultCacheDirectory(MappedConfiguration<java.lang.String,java.lang.Object> configuration)`
    `static void` | `setupDefaultResourceMinimizers(MappedConfiguration<java.lang.String,ResourceMinimizer> configuration)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WebResourcesModule

          public WebResourcesModule()

  - ### Method Detail

    - #### bind

          public static void bind(ServiceBinder binder)

    - #### setupDefaultCacheDirectory

          @Contribute(value=SymbolProvider.class)
           @FactoryDefaults
          public static void setupDefaultCacheDirectory(MappedConfiguration<java.lang.String,java.lang.Object> configuration)

    - #### provideCompilers

          @Contribute(value=StreamableResourceSource.class)
          public static void provideCompilers(MappedConfiguration<java.lang.String,ResourceTransformer> configuration,
                                                                                                ResourceTransformerFactory factory,
                                                                                                @Autobuild
                                                                                                CoffeeScriptCompiler coffeeScriptCompiler)

    - #### setupDefaultResourceMinimizers

          @Contribute(value=ResourceMinimizer.class)
           @Primary
          public static void setupDefaultResourceMinimizers(MappedConfiguration<java.lang.String,ResourceMinimizer> configuration)

    - #### provideLessCompilerProblemRenderer

          @Contribute(value=ObjectRenderer.class)
           @Primary
          public static void provideLessCompilerProblemRenderer(MappedConfiguration<java.lang.Class,ObjectRenderer> configuration)

      Alas `AntlrException`s do not have a useful toString() which makes them useless in the exception report; here we provide an `ObjectRenderer` that breaks them apart into useful strings. Eventually we may be able to synthesize a `Location` from them as well and show some of the source .less file.

${project.version} - Copyright © 2003-2015 The Apache Software Foundation.